View Issue Details

IDProjectCategoryView StatusLast Update
0005789Featured[Simple:Press] installation/upgradepublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[Simple:Press] 5.8 
Target Version[Simple:Press] 5.8Fixed in Version[Simple:Press] 5.8 
Summary0005789: Activation causes chaos
Descriptionif you activate the 'Featured' plugin - chaos reigns!
The errors are:

[02-Apr-2017 15:29:26 UTC] PHP Notice - Constant SPFEATUREDDIR already defined - file: /forum-plugins/featured/sp-featured-plugin.php - line: 19 - function: define

[02-Apr-2017 15:29:26 UTC] PHP Warning - require_once(/Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-feature-images/sp-featured-install.php): failed to open stream: No such file or directory - file: /forum-plugins/featured/sp-featured-plugin.php - line: 73 - function: require_once

[02-Apr-2017 15:29:26 UTC] PHP Fatal error: require_once(): Failed opening required '/Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-feature-images/sp-featured-install.php' (include_path='.:/Applications/MAMP/bin/php/php7.1.1/lib/php') in /Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-plugins/featured/sp-featured-plugin.php on line 73

[02-Apr-2017 15:29:43 UTC] PHP Notice - Constant SPFEATUREDDIR already defined - file: /forum-plugins/featured/sp-featured-plugin.php - line: 19 - function: define

[02-Apr-2017 15:29:43 UTC] PHP Warning - require_once(/Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-feature-images/sp-featured-upgrade.php): failed to open stream: No such file or directory - file: /forum-plugins/featured/sp-featured-plugin.php - line: 103 - function: require_once

[02-Apr-2017 15:29:43 UTC] PHP Fatal error: require_once(): Failed opening required '/Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-feature-images/sp-featured-upgrade.php' (include_path='.:/Applications/MAMP/bin/php/php7.1.1/lib/php') in /Users/andy/sites/simple-press-600/wp-content/sp-resources/forum-plugins/featured/sp-featured-plugin.php on line 103

ONLY BEEN TRIED IN V6
TagsNo tags attached.
change_log_textActivation causes chaos
typedefect

Activities

svn

svn

2017-04-02 19:20

administrator   ~0019372

Changeset [15314] by andy on 2017-04-02 15:20:25 -0400 (Sun, 02 Apr 2017)

test issue 0005789
Change SPFEATUREDURL and SPFEATUREDDIR constant names in core to avoid collision

 Changed Files:

U trunk/admin/panel-forums/forms/spa-forums-featured-image-form.php
U trunk/admin/panel-forums/support/spa-forums-prepare.php
U trunk/admin/panel-forums/support/spa-forums-save.php
U trunk/sp-startup/core/sp-core-constants.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15314

Issue History

Date Modified Username Field Change
2017-04-02 15:34 Yellow Swordfish New Issue
2017-04-02 15:35 Yellow Swordfish Description Updated View Revisions
2017-04-02 15:35 Yellow Swordfish change_log_text => Activation causes chaos
2017-04-02 19:20 svn =>
2017-04-02 19:20 svn Note Added: 0019372
2017-04-02 19:20 svn Status new => testing
2017-04-02 19:21 Yellow Swordfish Assigned To => Yellow Swordfish
2017-04-02 19:21 Yellow Swordfish Status testing => assigned
2017-04-02 19:21 Yellow Swordfish Status assigned => testing
2017-04-02 20:39 Mr Papa Status testing => closed
2017-04-02 20:39 Mr Papa Resolution open => fixed
2017-04-02 20:39 Mr Papa Fixed in Version => 6.0
2017-07-11 01:57 Mr Papa Product Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8